%define	major	0
%define	fullname %{name}-III-%version
%define	libname		%mklibname cdda %{major}
%define develname	%mklibname cdda -d

Summary:	Utility to copy digital audio CDs
Name:		cdparanoia
Version:	10.2
Release:	12
Epoch:		1
License:	GPLv2+ and LGPLv2+
Group:		Sound
URL:		http://www.xiph.org/paranoia/ 
Source0:	http://downloads.xiph.org/releases/cdparanoia/%{fullname}.src.tgz
Patch0:		cdparanoia-III-alpha9.8-includes.patch
Patch1:		cdparanoia-III-10.2-gcc43.patch
Patch2:		cdparanoia-III-10.2-format-security.patch

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package -n	%{libname}
Summary:	Libraries for cdparanoia
Group:		Sound

%description -n	%{libname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%package -n	%{develname}
Summary:	Development libraries for cdparanoia
Group:		Development/C
Provides:	libcdda-devel = %{EVRD}
Provides:	cdda-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Obsoletes:	%{mklibname cdda 0 -d} < %{EVRD}

%description -n	%{develname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%setup -q -n %{fullname}
%patch0 -p1 -b .includes
%patch1 -p1 -b .gcc43
%patch2 -p1 -b .fs

autoconf

%build
%configure2_5x --libdir=%{_libdir}/cdparanoia
# (gb) don't use fortify, this package has ugly abuse of memcpy() that we can't cope with if it's a macro
# XXX would be better to define scsi cmds constants instead...
export RPM_OPT_FLAGS="$(echo %{optflags} |sed s/-Wp,-D_FORTIFY_SOURCE=.//)"
make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}/man1

%makeinstall \
	BINDIR=%{buildroot}%{_bindir} \
	INCLUDEDIR=%{buildroot}%{_includedir} \
	LIBDIR=%{buildroot}%{_libdir} \
	MANDIR=%{buildroot}%{_mandir}

install -m644 cdparanoia.1 %{buildroot}%{_mandir}/man1/

# Fix permissions to avoid unstripped-binary-or-object rpmlint error
chmod 0755 %{buildroot}%{_libdir}/*.so.%{major}*

%files
%defattr(644,root,root,755)
%doc README 
%attr(755,root,root) %{_bindir}/cdparanoia
%attr(644,root,root) %{_mandir}/man1/cdparanoia.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:10.2-12
+ Revision: 137c690
- MassBuild#440: Increase release tag


